.searchbox {
  position: relative;
}

.searchbox input{
  background: transparent; 
  height: 1.875rem;
  width: 100%;
  padding: 4px;
  padding-left: 8px;
  border: 1px solid #333333ff;
  color: #333333ff;
  box-sizing: border-box;
  cursor: text;
}

.searchbox input:focus{
  outline: none;
}
.searchbox input:focus-visible{
  outline:none;
}

.searchbox button {
  background: transparent;
  position: absolute;
  right: 4px;
  top: 1px;
  opacity: 1;
  pointer-events: auto;
  transition-property: opacity;
  transition-duration: 200ms;
  transition-timing-function: ease-in-out;
}

.searchbox button:disabled {
  pointer-events: none;
  opacity: 0.5;
  cursor: default;
  transition-property: opacity;
  transition-duration: 200ms;
  transition-timing-function: ease-in-out;
}

.searchbox button:hover {
  opacity: 0.5;
  transition-property: opacity;
  transition-duration: 200ms;
  transition-timing-function: ease-in-out;
  cursor: pointer;
}

.searchbox button img {
  height: 10px;
  width: 10px;
}